Bug 312340 - Cannot customize icon bar in rekonq 2
Summary: Cannot customize icon bar in rekonq 2
Status: RESOLVED FIXED
Alias: None
Product: rekonq
Classification: Unclassified
Component: general (show other bugs)
Version: 2.0
Platform: Archlinux Packages Linux
: NOR minor (vote)
Target Milestone: 2.0
Assignee: Andrea Diamantini
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-29 15:15 UTC by Guillaume DE BURE
Modified: 2013-01-14 20:23 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Guillaume DE BURE 2012-12-29 15:15:43 UTC
Rekonq 2.0 does not offer an option to customize the icon bar. Or at least I could not discover it... 

I would like to add the "bookmark" dropdown icon, but right-clicking on the icon bar (like I would do in other KDE apps) has no effect.

Reproducible: Always
Comment 1 Andrea Diamantini 2012-12-31 16:34:23 UTC
Yes, missing feature.
Comment 2 Andrea Diamantini 2013-01-14 20:23:59 UTC
Git commit 2d8de46ae55966ff00e1f89e2133024b5d70edef by Andrea Diamantini.
Committed on 14/01/2013 at 21:21.
Pushed by adjam into branch 'master'.

Reimplement (in 2.x way) the ability to edit toolbar

M  +1    -0    src/CMakeLists.txt
A  +73   -0    src/webwindow/maintoolbar.cpp     [License: GPL (v2/3)]
C  +16   -13   src/webwindow/maintoolbar.h [from: src/webwindow/rekonqfactory.h - 074% similarity]
M  +45   -1    src/webwindow/rekonqfactory.cpp
M  +2    -0    src/webwindow/rekonqfactory.h
M  +29   -4    src/webwindow/webwindow.cpp
M  +5    -1    src/webwindow/webwindow.h

http://commits.kde.org/rekonq/2d8de46ae55966ff00e1f89e2133024b5d70edef